aboutsummaryrefslogtreecommitdiff
path: root/test/common-utils/configure_zsh_no_template.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/common-utils/configure_zsh_no_template.sh')
-rw-r--r--test/common-utils/configure_zsh_no_template.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/test/common-utils/configure_zsh_no_template.sh b/test/common-utils/configure_zsh_no_template.sh
new file mode 100644
index 0000000..c62cae9
--- /dev/null
+++ b/test/common-utils/configure_zsh_no_template.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+# Definition specific tests
+function file_not_overridden() {
+ cat ~/.zshrc | grep 'alias fnomockalias=' | grep testingmock
+}
+check "default-zsh-with-no-zshrc" file_not_overridden
+
+# Report result
+reportResults